gi-gtk4-4.0.12: Gtk 4.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Interfaces.AppChooser

Contents

- Exported types
- Methods
  - getAppInfo
  - getContentType
  - refresh
- Properties
  - contentType

Description

`GtkAppChooser` is an interface for widgets which allow the user to choose an application.

The main objects that implement this interface are `AppChooserWidget`, `AppChooserDialog` and `AppChooserButton`.

Applications are represented by GIO `GAppInfo` objects here. GIO has a concept of recommended and fallback applications for a given content type. Recommended applications are those that claim to handle the content type itself, while fallback also includes applications that handle a more generic content type. GIO also knows the default and last-used application for a given content type. The `GtkAppChooserWidget` provides detailed control over whether the shown list of applications should include default, recommended or fallback applications.

To obtain the application that has been selected in a `GtkAppChooser`, use `appChooserGetAppInfo`.

Synopsis

- newtype AppChooser = AppChooser (ManagedPtr AppChooser)
- class (GObject o, IsDescendantOf AppChooser o) => IsAppChooser o
- toAppChooser :: (MonadIO m, IsAppChooser o) => o -> m AppChooser
- appChooserGetAppInfo :: (HasCallStack, MonadIO m, IsAppChooser a) => a -> m (Maybe AppInfo)
- appChooserGetContentType :: (HasCallStack, MonadIO m, IsAppChooser a) => a -> m Text
- appChooserRefresh :: (HasCallStack, MonadIO m, IsAppChooser a) => a -> m ()
- constructAppChooserContentType :: (IsAppChooser o, MonadIO m) => Text -> m (GValueConstruct o)
- getAppChooserContentType :: (MonadIO m, IsAppChooser o) => o -> m (Maybe Text)

# Exported types

newtype AppChooser Source #

Deprecated: (Since version 4.10)The application selection widgets should beimplemented according to the design of each platform and/orapplication requiring them.

Memory-managed wrapper type.

Constructors

AppChooser (ManagedPtr AppChooser) | Deprecated: (Since version 4.10)The application selection widgets should beimplemented according to the design of each platform and/orapplication requiring them.

#### Instances

Instances details

Eq AppChooser Source # |
Instance details Defined in GI.Gtk.Interfaces.AppChooser Methods (==) :: AppChooser -> AppChooser -> Bool Source # (/=) :: AppChooser -> AppChooser -> Bool Source #
GObject AppChooser Source # |
Instance details Defined in GI.Gtk.Interfaces.AppChooser
ManagedPtrNewtype AppChooser Source # |
Instance details Defined in GI.Gtk.Interfaces.AppChooser Methods toManagedPtr :: AppChooser -> ManagedPtr AppChooser Source #
TypedObject AppChooser Source # |
Instance details Defined in GI.Gtk.Interfaces.AppChooser Methods glibType :: IO GType Source #
HasParentTypes AppChooser Source # |
Instance details Defined in GI.Gtk.Interfaces.AppChooser
IsGValue (Maybe AppChooser) Source # | Convert `AppChooser` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Interfaces.AppChooser Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe AppChooser -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe AppChooser) Source #
type ParentTypes AppChooser Source # |
Instance details Defined in GI.Gtk.Interfaces.AppChooser type ParentTypes AppChooser = '[Object, Widget]

class (GObject o, IsDescendantOf AppChooser o) => IsAppChooser o Source #

Type class for types which can be safely cast to `AppChooser`, for instance with `toAppChooser`.

#### Instances

Instances details

(GObject o, IsDescendantOf AppChooser o) => IsAppChooser o Source # |
Instance details Defined in GI.Gtk.Interfaces.AppChooser

toAppChooser :: (MonadIO m, IsAppChooser o) => o -> m AppChooser Source #

Cast to `AppChooser`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

actionSetEnabled, activate, activateAction, activateDefault, addController, addCssClass, addMnemonicLabel, addTickCallback, allocate, announce, bindProperty, bindPropertyFull, childFocus, computeBounds, computeExpand, computePoint, computeTransform, contains, createPangoContext, createPangoLayout, disposeTemplate, dragCheckThreshold, errorBell, forceFloating, freezeNotify, getv, grabFocus, hasCssClass, hasDefault, hasFocus, hasVisibleFocus, hide, inDestruction, initTemplate, insertActionGroup, insertAfter, insertBefore, isAncestor, isDrawable, isFloating, isFocus, isSensitive, isVisible, keynavFailed, listMnemonicLabels, map, measure, mnemonicActivate, notify, notifyByPspec, observeChildren, observeControllers, pick, queueAllocate, queueDraw, queueResize, realize, ref, refSink, refresh, removeController, removeCssClass, removeMnemonicLabel, removeTickCallback, resetProperty, resetRelation, resetState, runDispose, shouldLayout, show, sizeAllocate, snapshotChild, stealData, stealQdata, thawNotify, translateCoordinates, triggerTooltipQuery, unmap, unparent, unrealize, unref, unsetStateFlags, updateNextAccessibleSibling, updatePlatformState, updateProperty, updateRelation, updateState, watchClosure.

#### Getters

getAccessibleId, getAccessibleParent, getAccessibleRole, getAllocatedBaseline, getAllocatedHeight, getAllocatedWidth, getAllocation, getAncestor, getAppInfo, getAtContext, getBaseline, getBounds, getBuildableId, getCanFocus, getCanTarget, getChildVisible, getClipboard, getColor, getContentType, getCssClasses, getCssName, getCursor, getData, getDirection, getDisplay, getFirstAccessibleChild, getFirstChild, getFocusChild, getFocusOnClick, getFocusable, getFontMap, getFontOptions, getFrameClock, getHalign, getHasTooltip, getHeight, getHexpand, getHexpandSet, getLastChild, getLayoutManager, getLimitEvents, getMapped, getMarginBottom, getMarginEnd, getMarginStart, getMarginTop, getName, getNative, getNextAccessibleSibling, getNextSibling, getOpacity, getOverflow, getPangoContext, getParent, getPlatformState, getPreferredSize, getPrevSibling, getPrimaryClipboard, getProperty, getQdata, getRealized, getReceivesDefault, getRequestMode, getRoot, getScaleFactor, getSensitive, getSettings, getSize, getSizeRequest, getStateFlags, getStyleContext, getTemplateChild, getTooltipMarkup, getTooltipText, getValign, getVexpand, getVexpandSet, getVisible, getWidth.

#### Setters

setAccessibleParent, setCanFocus, setCanTarget, setChildVisible, setCssClasses, setCursor, setCursorFromName, setData, setDataFull, setDirection, setFocusChild, setFocusOnClick, setFocusable, setFontMap, setFontOptions, setHalign, setHasTooltip, setHexpand, setHexpandSet, setLayoutManager, setLimitEvents, setMarginBottom, setMarginEnd, setMarginStart, setMarginTop, setName, setOpacity, setOverflow, setParent, setProperty, setReceivesDefault, setSensitive, setSizeRequest, setStateFlags, setTooltipMarkup, setTooltipText, setValign, setVexpand, setVexpandSet, setVisible.

## getAppInfo

appChooserGetAppInfo Source #

Arguments

:: (HasCallStack, MonadIO m, IsAppChooser a) |
=> a | `self`: a `GtkAppChooser`
-> m (Maybe AppInfo) | Returns: a `GAppInfo` for the currently selected application

Deprecated: (Since version 4.10)This widget will be removed in GTK 5

Returns the currently selected application.

## getContentType

appChooserGetContentType Source #

Arguments

:: (HasCallStack, MonadIO m, IsAppChooser a) |
=> a | `self`: a `GtkAppChooser`
-> m Text | Returns: the content type of `self`. Free with `free`

Deprecated: (Since version 4.10)This widget will be removed in GTK 5

Returns the content type for which the `GtkAppChooser` shows applications.

## refresh

appChooserRefresh Source #

Arguments

:: (HasCallStack, MonadIO m, IsAppChooser a) |
=> a | `self`: a `GtkAppChooser`
-> m () |

Deprecated: (Since version 4.10)This widget will be removed in GTK 5

Reloads the list of applications.

# Properties

## contentType

The content type of the `GtkAppChooser` object.

See `GContentType` for more information about content types.

constructAppChooserContentType :: (IsAppChooser o, MonadIO m) => Text -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`content-type`” property. This is rarely needed directly, but it is used by `new`.

getAppChooserContentType :: (MonadIO m, IsAppChooser o) => o -> m (Maybe Text) Source #

Get the value of the “`content-type`” property. When overloading is enabled, this is equivalent to

    get appChooser #contentType